API Reference

Symbols

Currency and asset definitions — `cop` (factor 100, centavos) is the settlement symbol for the Colombian ecosystem; all amounts are integers in the smallest unit.

List symbols

GET
/symbols

Authorization

BearerAuth LedgerHeader
AuthorizationBearer <token>

Access token obtained from POST /oauth/token

In: header

x-ledger<token>

Handle of the target ledger (e.g. demo-co)

In: header

Query Parameters

limit?integer

Maximum records to return

Default25
Rangevalue <= 100
offset?integer

Records to skip

Default0

Response Body

application/json

curl -X GET "https://demo-co.ldg-stg.one/api/v2/symbols"
{
  "data": [
    {
      "handle": "cop",
      "factor": 100,
      "custom": {}
    }
  ],
  "meta": {
    "total": 4,
    "limit": 25,
    "offset": 0
  }
}

Create symbol

POST
/symbols

Authorization

BearerAuth LedgerHeader
AuthorizationBearer <token>

Access token obtained from POST /oauth/token

In: header

x-ledger<token>

Handle of the target ledger (e.g. demo-co)

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://demo-co.ldg-stg.one/api/v2/symbols" \  -H "Content-Type: application/json" \  -d '{    "data": {      "handle": "cop",      "factor": 100,      "custom": {        "display": "COP",        "kind": "fiat",        "country": "co",        "settlement": true      }    },    "hash": "i1d3e4f5...",    "proofs": [      {        "method": "ed25519-v2",        "public": "MCowBQYDK2VdAyEAabc123...",        "digest": "i1d3e4f5...",        "result": "MEQCIB..."      }    ]  }'
{
  "data": {
    "handle": "cop",
    "factor": 100,
    "custom": {}
  }
}

Get symbol

GET
/symbols/{handle}

Authorization

BearerAuth LedgerHeader
AuthorizationBearer <token>

Access token obtained from POST /oauth/token

In: header

x-ledger<token>

Handle of the target ledger (e.g. demo-co)

In: header

Path Parameters

handle*string

Record handle

Response Body

application/json

application/json

curl -X GET "https://demo-co.ldg-stg.one/api/v2/symbols/pay-20260608-001"
{
  "data": {
    "handle": "cop",
    "factor": 100,
    "custom": {
      "display": "COP",
      "kind": "fiat",
      "country": "co",
      "settlement": true
    }
  }
}
{
  "error": {
    "code": "not-found",
    "message": "Wallet not found"
  }
}

On this page

No Headings